Skip to main content
POST
/
v1
/
ucp
/
identity
/
token
OAuth 2.0 token endpoint
curl --request POST \
  --url https://api.getsly.ai/v1/v1/ucp/identity/token \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "grant_type": "authorization_code",
  "code": "<string>",
  "client_id": "<string>",
  "client_secret": "<string>",
  "redirect_uri": "<string>"
}
'
{
  "access_token": "<string>",
  "token_type": "Bearer",
  "expires_in": 123,
  "scope": "<string>",
  "refresh_token": "<string>"
}

Authorizations

Authorization
string
header
required

API key (pk_test_* or pk_live_), JWT session, agent token (agent_), Ed25519 session (sess_), or portal token (portal_).

Body

application/json
grant_type
enum<string>
required
Available options:
authorization_code
code
string
required
client_id
string
required
client_secret
string
required
redirect_uri
string<uri>
required

Response

Token

access_token
string
required
token_type
enum<string>
required
Available options:
Bearer
expires_in
integer
required
scope
string
required
refresh_token
string